GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
vtkImageMapToWindowLevelColors2 Class Reference

`#include <vtkImageMapToWindowLevelColors2.h>`

List of all members.

## Public Member Functions

void | PrintSelf (ostream &os, vtkIndent indent)
| vtkGetMacro (Window, double)
| vtkGetMacro (Level, double)
| vtkSetMacro (Window, double)
| vtkSetMacro (Level, double)
| vtkTypeRevisionMacro (vtkImageMapToWindowLevelColors2, vtkImageMapToColors)

## Static Public Member Functions

static vtkImageMapToWindowLevelColors2 * | New ()

## Protected Member Functions

| vtkImageMapToWindowLevelColors2 ()
| ~vtkImageMapToWindowLevelColors2 ()
virtual int | RequestData (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
virtual int | RequestInformation (vtkInformation *, vtkInformationVector **, vtkInformationVector *)
void | ThreadedRequestData (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector, vtkImageData ***inData, vtkImageData **outData, int extent[6], int id)

## Protected Attributes

double | Level
double | Window

## Constructor & Destructor Documentation

vtkImageMapToWindowLevelColors2::vtkImageMapToWindowLevelColors2 | ( |  | ) | `[protected]`

vtkImageMapToWindowLevelColors2::~vtkImageMapToWindowLevelColors2 | ( |  | ) | `[protected]`

## Member Function Documentation

static vtkImageMapToWindowLevelColors2* vtkImageMapToWindowLevelColors2::New | ( |  | ) | `[static]`

void vtkImageMapToWindowLevelColors2::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |

virtual int vtkImageMapToWindowLevelColors2::RequestData | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector
| ) |  | `[protected, virtual]`

virtual int vtkImageMapToWindowLevelColors2::RequestInformation | ( | vtkInformation * | ,
|  | vtkInformationVector ** | ,
|  | vtkInformationVector * |
| ) |  | `[protected, virtual]`

void vtkImageMapToWindowLevelColors2::ThreadedRequestData | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector,
|  | vtkImageData *** | inData,
|  | vtkImageData ** | outData,
|  | int | extent[6],
|  | int | id
| ) |  | `[protected]`

vtkImageMapToWindowLevelColors2::vtkGetMacro | ( | Window | ,
|  | double |
| ) |  |

vtkImageMapToWindowLevelColors2::vtkGetMacro | ( | Level | ,
|  | double |
| ) |  |

vtkImageMapToWindowLevelColors2::vtkSetMacro | ( | Window | ,
|  | double |
| ) |  |

vtkImageMapToWindowLevelColors2::vtkSetMacro | ( | Level | ,
|  | double |
| ) |  |

vtkImageMapToWindowLevelColors2::vtkTypeRevisionMacro | ( | vtkImageMapToWindowLevelColors2 | ,
|  | vtkImageMapToColors |
| ) |  |

## Member Data Documentation

double vtkImageMapToWindowLevelColors2::Level`[protected]`

double vtkImageMapToWindowLevelColors2::Window`[protected]`

The documentation for this class was generated from the following file:

- vtkImageMapToWindowLevelColors2.h